# Generated by Django 2.0.4 on 2018-08-29 14:32

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ExtraField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Unique identifier for this field. Formatted like a slug.', max_length=50, unique=True, validators=[django.core.validators.RegexValidator(message='This identifier can only be made up of lowercase letters, numbers and hyphens.', regex='^[a-z0-9]+(?:-[a-z0-9]+)*$')])),
                ('label', models.CharField(max_length=35)),
                ('help_text', models.CharField(blank=True, help_text='Optional.', max_length=75, null=True)),
                ('required', models.BooleanField()),
                ('field_type', models.CharField(choices=[('char', 'Text Field'), ('text', 'Large Text Field'), ('boolean', 'Boolean Field (True/False)'), ('choice', 'Choice Field (Drop-down)'), ('email', 'Email Field')], max_length=8)),
                ('max_length', models.PositiveSmallIntegerField(blank=True, help_text='For the normal text field only. You can specify the maximum number of characters for the field.', null=True, validators=[django.core.validators.MinValueValidator(1)])),
                ('choices', models.CharField(blank=True, help_text='For the choice field only. Options should be separated by commas. For example: Option 1,Option 2,Option 3', max_length=200, null=True)),
            ],
        ),
    ]
